IARRAY_MATRIX_MULTIPLY(3)

EXPERIMENTAL_FUNC
iarray_matrix_multiply - Perform a matrix multiply.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_matrix_multiply

(iarray out, iarray in1, iarray in2, flag thread)

DESCRIPTION
Perform a matrix multiply.

out The output array (matrix).

in1 The first input array.

in2 The second input array.

thread
    If TRUE, the operation may be threaded, else it will not be.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
Only double precision arrays are supported.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/